Subject: Re: linux-next: usb tree build failure

From: Dmitry <[email-masked]>
Date: Tue, 14 Oct 2008 19:42:15 +0400

2008/10/14 Dmitry <[email-masked]>:
> Hi,
>
> 2008/10/14 Stephen Rothwell <[email-masked]>:
>> Hi Greg,
>>
>> Today's linux-next build (powerpc ppc64_defconfig) failed like this:
>>
>> drivers/usb/Kconfig:63:error: found recursive dependency: USB -> USB_OHCI_HCD -> I2C -> MCU_MPC8349EMITX -> ARCH_REQUIRE_GPIOLIB -> GPIOLIB -> MFD_TC6393XB -> USB_ARCH_HAS_OHCI -> USB_ARCH_HAS_HCD -> MOUSE_APPLETOUCH -> USB
>> make[2]: *** [ppc64_defconfig] Error 1
>> make[1]: *** [ppc64_defconfig] Error 2
>> make: *** [sub-make] Error 2
>
> I don't quite understand, how this is possible, as MFD_TC6393XB
> depends on ARM and this is PPC64

Does the linux-next contain any updates to how recursive deps are
calculated? Since I ended up with current-git + i2c + mcu_mpc8349emitx
patch + powerpc tree + gregkh-2.6.27-all.patch and still can't
reproduce this error.

>>
>> Direct cause is commit 51f54ddba226b3b33f55d1be058e809fcfdc30c4 ("USB:
>> ohci: add support for tmio-ohci cell") which I have reverted.
>
> --
> With best wishes
> Dmitry
>

-- 
With best wishes
Dmitry